## com.sun.jersey.api.client
Class ClientHandlerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.sun.jersey.api.client.ClientHandlerException

All Implemented Interfaces:
  java.io.Serializable

    public class ClientHandlerException

extends java.lang.RuntimeException

A runtime exception thrown by a client handler that signals a failure to process the HTTP request or HTTP response.

Author:
  Paul.Sandoz@Sun.Com
See Also:
  Serialized Form

Constructor Summary
`ClientHandlerException()`
`ClientHandlerException(java.lang.String message)`
`ClientHandlerException(java.lang.String message, java.lang.Throwable cause)`
`ClientHandlerException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClientHandlerException

    public ClientHandlerException()

### ClientHandlerException

    public ClientHandlerException(java.lang.String message)

### ClientHandlerException

    public ClientHandlerException(java.lang.String message,
                                  java.lang.Throwable cause)

### ClientHandlerException

    public ClientHandlerException(java.lang.Throwable cause)

Copyright © 2017 Oracle Corporation. All Rights Reserved.